summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsource3/autogen.sh27
-rwxr-xr-xsource3/script/findsmb.in2
2 files changed, 23 insertions, 6 deletions
diff --git a/source3/autogen.sh b/source3/autogen.sh
index 28d1608287..a2228a6fd9 100755
--- a/source3/autogen.sh
+++ b/source3/autogen.sh
@@ -2,7 +2,11 @@
# Run this script to build samba from CVS.
-if which autoconf > /dev/null
+## first try the default names
+AUTOHEADER="autoheader"
+AUTOCONF="autoconf"
+
+if which $AUTOCONF > /dev/null
then
:
else
@@ -10,10 +14,23 @@ else
exit 1
fi
-echo "$0: running autoheader"
-autoheader || exit 1
+##
+## what version do we need?
+##
+if [ `$AUTOCONF --version | head -1 | cut -d. -f 2` -lt 53 ]; then
+
+ ## maybe it's installed under a different name (e.g. RedHat 7.3)
+
+ AUTOCONF="autoconf-2.53"
+ AUTOHEADER="autoheader-2.53"
+
+fi
+
+echo "$0: running $AUTOHEADER"
+$AUTOHEADER || exit 1
+
+echo "$0: running $AUTOCONF"
+$AUTOCONF || exit 1
-echo "$0: running autoconf"
-autoconf || exit 1
echo "Now run ./configure and then make."
exit 0
diff --git a/source3/script/findsmb.in b/source3/script/findsmb.in
index 42c1dd706c..6276bd3f39 100755
--- a/source3/script/findsmb.in
+++ b/source3/script/findsmb.in
@@ -1,4 +1,4 @@
-#!/usr/bin/perl
+#!@PERL@
#
# Prints info on all smb responding machines on a subnet.
# This script needs to be run on a machine without nmbd running and be